Skip to content

Gets test number state of the sender for the project.
GA

Request

Returns test number state of the sender for the project.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

senderIdstringrequired
testNumberstringrequired
curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/rcs/senders/{senderId}/testNumbers/{testNumber}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Test number state.

Bodyapplication/json
numberstring, (e.164 phone number)required

Test phone number.

statestring(RcsTestNumberStates)required

Test phone state.

Enum:"DECLINED""INVALID""PENDING""REJECTED""UNVERIFIED""VERIFIED""UNRECOGNIZED"
submittedstringrequired

Date of submitting phone number.

Response

Test number state.

{ "number": "+46123123222", "state": "VERIFIED", "submitted": "2023-01-19t13:11:08.204Z" }